<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>


<xsl:param name="sted" select="'Barcelona'"/>
<xsl:param name="distanse" select="'200m'"/>


<xsl:template match="/">
<html>
<head>
      <title>Olympics</title>
      <meta HTTP-EQUIV="Content-Type"  content="text/html; charset=iso-8859-1"/>
      <link rel="STYLESHEET" href="olymp.css"/>
</head>
<body>
   <h1>Resultater sprint</h1>
   <xsl:apply-templates select="IOC/OlympicGame[@place=$sted]"/>
</body>
</html>
</xsl:template>

<xsl:template match="OlympicGame">
    <h2>
   <xsl:value-of select="@place"/> - <xsl:value-of select="@year"/>
   </h2>
     <xsl:apply-templates select="event[@track=$distanse]"/>
</xsl:template>

<xsl:template match="event">
   <h3><xsl:value-of select="@track"/></h3>
   <xsl:apply-templates select="athlet">  
            <xsl:sort select="result" order="ascending"/>
   </xsl:apply-templates>
</xsl:template>

<xsl:template match="athlet">
   <p>
   <xsl:value-of select="result"/> : <xsl:value-of select="name"/>
   </p>
</xsl:template>

</xsl:stylesheet>

